import styled from '@emotion/styled';
import { keyframes } from '@emotion/core';

var appPreloader = function appPreloader(translateX) {
  return (
    /*#__PURE__*/
    keyframes("0%{opacity:0;transform:translate3d(", translateX, ",0,0)}50%{opacity:1;transform:translate3d(0,0,0)}100%{opacity:0;transform:translate3d(-", translateX, ",0,0)}")
  );
};

export var Container =
/*#__PURE__*/
styled("section", {
  target: "ejlgq4n0"
})("display:flex;align-items:center;justify-content:center;position:absolute;top:0;left:0;bottom:0;right:0;background-color:", function (props) {
  return props.bgColor;
}, ";");
export var Overlay =
/*#__PURE__*/
styled("div", {
  target: "ejlgq4n1"
})("display:flex;align-items:center;justify-content:center;position:relative;");
export var Dot =
/*#__PURE__*/
styled("span", {
  target: "ejlgq4n2"
})("display:block;height:", function (props) {
  return props.size;
}, ";width:", function (props) {
  return props.size;
}, ";background-color:", function (props) {
  return props.color;
}, ";border-radius:50%;opacity:0;animation-name:", function (props) {
  return appPreloader(props.translateX);
}, ";animation-duration:", function (props) {
  return props.duration;
}, "s;animation-iteration-count:infinite;animation-timing-function:ease-in-out;&:nth-of-type(1){animation-delay:", function (props) {
  return -props.duration * 3 / 4;
}, "s;}&:nth-of-type(2){animation-delay:", function (props) {
  return -props.duration / 2;
}, "s;}&:nth-of-type(3){animation-delay:", function (props) {
  return -props.duration / 4;
}, "s;}");